<style>
    /* Invert rust logo */
    #rust img {
        filter: invert(1);
    }
</style>

<p align = "center">
<span id=rust>
<img src="https://raw.githubusercontent.com/devicons/devicon/master/icons/rust/rust-original.svg" alt="Rust" width="200"/>
</span>
</p>

# Introduction
On my journe to memory safety and due to lots of ridicule from my friends about daily-driving Python, I am currently looking for a systems programming language that is memory safe and has a good ecosystem (i.e. is not hated by everyone). In other words, I am looking for a *practically useful* language that is not Python or C++.

Rust seems to be the perfect fit for this. This repository will document my journey in learning Rust.

The process of learning this language is going to be quite different from my other repositories. I will try to design an embedded project in Rust, instead of focusing on algorithmic problems (i.e. practical problems). This will help me understand the language better and also give me a taste of what it is like to work with Rust in a real-world scenario.

I'm going to try and ***actually document*** my process instead of my usual cheat-sheet style. 

## ToC
- [Introduction](#introduction)
  - [ToC](#toc)



